<?php

namespace Drupal\test_computed_field_automatic\Plugin\ComputedField;

use Drupal\computed_field\Field\ComputedFieldDefinitionWithValuePluginInterface;
use Drupal\computed_field\Plugin\ComputedField\SingleValueTrait;
use Drupal\computed_field\Plugin\ComputedField\ComputedFieldBase;
use Drupal\Core\Entity\EntityInterface;

/**
 * Automatic base field which should not appear in the test.
 *
 * @ComputedField(
 *   id = "test_string_automatic_base",
 *   label = @Translation("Test String Automatic"),
 *   field_type = "string",
 *   no_ui = TRUE,
 *   attach = {
 *     "scope" = "base",
 *     "field_name" = "test_automatic_base_unused",
 *     "entity_types" = {
 *       "unused_entity_type" = {},
 *     },
 *   },
 * )
 */
class TestStringDirectBaseUnused extends ComputedFieldBase {

  use SingleValueTrait;

  /**
   * {@inheritdoc}
   */
  public function singleComputeValue(EntityInterface $host_entity, ComputedFieldDefinitionWithValuePluginInterface $computed_field_definition): mixed {
    return 'cake!';
  }

}
